Subject: Re: bug#78304: 31.0.50; Support --early-eval on the command line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 May 2025 19:26:35 +0300

> From: Spencer Baugh <[email-masked]>
> Date: Wed, 14 May 2025 11:36:40 -0400
> Cc: [email-masked]
> 
> On Wed, May 14, 2025, 7:29 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Spencer Baugh <[email-masked]>
>  > Cc: [email-masked]
>  > Date: Tue, 13 May 2025 14:10:24 -0400
>  > 
>  > Eli Zaretskii <[email-masked]> writes:
>  > 
>  > > Why cannot you do whatever you need in the site-init file?
>  > 
>  > By that I assume you mean site-start.el, since AFAIK site-init.el is not
>  > loaded at runtime, only at dump time.
>  > 
>  > As (info "(elisp) Startup Summary") describes, site-start.el is loaded
>  > after package-activate-all is called and the initial frame is set up.
>  > It is therefore loaded too late to configure these things.
> 
>  That's easy to overcome: set package-enable-at-startup to a nil value
>  in early-init.el, then call package-activate-all in site-start file.
> 
>  Does this solve the problem?
> 
> No, because as I said above, there's no way to combine this solution with -q.

I don't understand why.  The -q switch doesn't disable loading
site-start file.